View Single Post
  #1  
Old 01-30-2019, 07:33 AM
icamusic icamusic is offline
Member
 
Join Date: Aug 2017
Location: tallinn
Posts: 7
Default Mbox 3rd generation compatibility with mac OS?

Hello,
I have Mbox 3rd generation Package 1.0.18 (it is written on the windows of Mbox/about). I want to upgrade the OS of my mac book Pro (currently 10.8.5) to 10.13.3 , But I don't have clear which one of the newest Os is compatible or if I need only to update the Mbox drivers whatever is the new MAc OS. [URL="http://http://avid.force.com/pkb/articles/download/Mbox-Drivers"]

Any suggestion? Thanks
__________________
icamusic
Reply With Quote